pagemenu · CSS
#fullpageopener {
    background-color: transparent;
    cursor: pointer;
    border-radius: 10px;
    border: 0;
    padding: 4px;
}

.container.position-relative.noheader #fullpageopener {
    border-radius: 0;
    padding: 0;
    line-height: 1;
    background: transparent;
    border: 0;
}
.container.position-relative.noheader #fullpageopener span {
    color: var(--secondary-text-color);
    text-transform: uppercase;
    font-family: var(--heading-font);
    font-size: 25px;
    line-height: 15px;
    margin-left: 15px;
    margin-top: 5px;
}
.menucontent {
    padding: 0px;
    cursor: pointer;
    display: flex;
    align-items: end;
    justify-content: center;
}
.hamburg {
    display: block;
    cursor: pointer;
}

.line {
    height: 2px;
    width: 35px;
    background: #fff;
    display: block;
    margin-bottom: 6px;
}

.line:nth-child(3) {
    margin-bottom: 0;
}

/* Der gesamte Overlay-Container */
#fullpage-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    display: none;
    z-index: 1000;
    justify-content: center;
    align-items: end;
}
.fullpage-opacity {
    width: 43%;
    background: #fff;
    height: 100%;
    position: absolute;
    left: 0;
    display: flex;
    align-items: end;
    justify-content: end;
}
#fullpage-header {
    position: relative;
    flex: 0 0 auto;
    padding: 10px;
}
#fullpage-content {
    display: flex;
    align-items: start;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    width: 100%;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    margin-bottom: 50px;
}

#fullpage-close {
    position: absolute;
    top: 27px;
    left: 70px;
    border: none;
    cursor: pointer;
    line-height: 1;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
}
#fullpage-close img {
    width: 47px;
    height: 47px;
    background-color: transparent;
    cursor: pointer;
    border-radius: 10px;
    padding: 8px;
}
nav.fullpage-menu ul li.level-1 i {
    display: none;
}

#fullpage-container #language-button {
    color: var(--tertiary-text-color);
    padding: 0;
}

#fullpage-container #language-button span {
    opacity: 1;
    font-weight: 700;
}

.menu-contact {
    margin-top: 40px;
}

#fullpage-container #language-nav {
    margin-left: 90px;
}

#fullpage-container.active {
    display: flex;
    box-shadow: 0 0 18px rgba(0,0,0,.1);
}

#fullpage-container #language-menu li a[aria-current="true"] {
    background-color: transparent;
}

#fullpage-container #language-menu li a {
    font-size: 1rem;
    color: var(--tertiary-text-color);
    line-height: 35px;
    padding: 0 15px;
}

#fullpage-container #language-menu {
    border: 0;
    box-shadow: 0px 5px 10px rgba(0,0,0,.1);
    position: absolute;
    top: -75px;
    right: -90px;
    text-align: left;
    padding: 10px 0;
}

#fullpage-close span {
    color: var(--secondary-text-color);
    font-size: 1.8em;
    font-weight: 400;
    margin: 0 15px;
}

#fullpage-close span.closetext {
    color: var(--secondary-text-color);
    text-transform: uppercase;
    font-family: var(--heading-font);
    line-height: 18px;
    margin-left: 19px;
    margin-top: 11px;
    font-size: 25px;
    font-weight: 400;
    letter-spacing: 0.25px;
}

.metanavmenu {
    text-align: left;
    padding: 0;
    margin-left: 90px;
}

.metanavmenu li {
    list-style: none;
}

.metanavmenu li a {
    color: var(--tertiary-text-color);
    line-height: 38px;
}

.fullpage-container-logo {
    margin-bottom: 70px;
}
#fullpage-header {
    position: absolute;
    padding: 0px;
    left: 0;
    top: 0;
}
.fullpage-menu {
    width: 100%;
    margin-bottom: 6%;
}
.fullpage-menu ul {
    padding: 0;
    margin: 0 auto;
    list-style: none;
    justify-content: center;
    margin-left: 90px;
}

.fullpage-menu .level-1:nth-child(6n+1) {
    clear: both;
}

.fullpage-container-logo img {
    width: 230px;
    height: auto;
}

nav.fullpage-menu ul li,
nav.fullpage-menu ul li a {
    color: var(--tertiary-text-color);
    font-family: var(--heading-font);
    font-size: var(--heading-footer);
    font-weight: 400;
    text-transform: uppercase;
    line-height: 1;
}

nav.fullpage-menu ul li {
    margin-bottom: 20px;
}

nav.fullpage-menu ul li a {
    font-size: var(--heading-footer);
}
nav.fullpage-menu ul li.level-1 {
    list-style-type: none;
    width: max-content;
    text-align: left;
}
.fullpage-menu ul li {
    font-family: var(--headline-font);
    text-transform: uppercase;
    font-weight: 600;
}
.fullpage-menu ul li .sublevel a {
    font-family: var(--default-font);
    text-transform: none;
    font-weight: normal;
    font-size: var(--bs-body-font-size);
}
nav.fullpage-menu ul li.level-1 ul {
    margin-top: 10px;
    display: block;
    padding-left: 20px;
    list-style: circle;
    max-width: unset;
    display: none;
}

/* Hover nur auf Desktop ab 1081px */
@media (hover: hover) and (min-width: 1081px) {
    nav.fullpage-menu ul li.level-1.show-submenu > ul {
        display: block;
    }
}

nav.fullpage-menu ul li.level-1 {
    position: relative;
}
nav.fullpage-menu ul li.level-1 > ul {
    position: absolute;
    /* right: calc(12% + 14px); */
    left: 250px;
    top: 0;
    display: none;
    padding-left: 0;
    list-style: none;
    margin: 0;
    width: max-content;
    z-index: 9;
}
nav.fullpage-menu ul li.level-1 > ul li {
    margin-bottom: 6px;
}
nav.fullpage-menu ul li.level-1 ul .sublevel ul {
    margin-top: 0;
}
nav.fullpage-menu ul li.level-1.show-submenu::after {
    content: "";
    position: absolute;
    left: 165px;
    top: 10px;
    width: 40px;
    height: 1px;
    background: var(--secondary-text-color);
}

.fullpage-content-bottom {
    display: flex;
    align-items: end;
    width: 100%;
}

.fullpage-content-bottom .content-bottom:last-child {
    margin-left: auto;
    text-align: left;
    margin-right: 12%;
}

.fullpage-content-bottom .language-switcher {
    display: block;
}

.content-bottom span {
    color: var(--tertiary-text-color);
}

.content-bottom:last-child {
    display: block;
}

.content-bottom:last-child span {
    color: var(--tertiary-text-color);
    font-family: var(--heading-font);
    font-size: 25px;
    text-transform: uppercase;
    width: 100%;
    display: block;
    line-height: 30px;
    margin-bottom: 5px;
}

.fullpage-content-bottom .content-bottom:last-child a {
    color: var(--tertiary-text-color);
    margin-right: 14px;
    text-decoration: underline;
}

.fullpage-content-bottom .content-bottom:last-child a i {
    color: var(--secondary-text-color);
}

.fullpage-content-bottom a i.bi-guestnet:before {
    background-image: url(../Icons/guestnet-green.svg);
    background-repeat: no-repeat;
    background-size: contain;
    content: "";
    display: inline-block;
    height: 21px;
    width: 22px;
}
.fullpage-content-bottom a:hover i.bi-guestnet:before {
    background-image: url(../Icons/guestnet-darkgreen.svg);
}
.fullpage-content-bottom .content-bottom:last-child a:hover {
    color: var(--tertiary-text-color);
}

.fullpage-content-bottom .content-bottom:last-child a:hover i {
    color: var(--tertiary-text-color);
}

.fullpage-content-bottom .content-bottom .menu-contact a:hover {
    color: var(--secondary-text-color);
}

.menunewsletter a button {
    padding: 10px 20px 7px;
    background: transparent;
    border: 2px solid var(--secondary-text-color);
    border-radius: 50px;
    color: var(--secondary-text-color);
}
.content-bottom:last-child .menunewsletter a button span {
    margin-bottom: 0;
    color: var(--secondary-text-color);
    font-size: var(--bs-body-font-size) !important;
    margin-top: 0;
}
.menunewsletter {
    margin-top: 10px;
}

.menunewsletter a:hover button {
    background-color: var(--secondary-text-color);
}
.content-bottom:last-child .menunewsletter a:hover button span {
    color: #fff;
}

@media screen and (max-height: 1000px) {
    .fullpage-menu {
        margin-bottom: 11vh;
    }
}
@media screen and (max-height: 900px) {
    #fullpage-content {
        margin-bottom: 40px;
    }
}
@media screen and (max-height: 840px) {
    #fullpage-content {
        margin-bottom: 4%;
    }
}

@media screen and (max-height: 750px) {
    .metanavmenu li a {
        line-height: 28px;
    }
}

/* @media screen and (max-width: 1600px) {
    nav.fullpage-menu ul li.level-1.show-submenu::after {
        width: 15%;
    }
} */
@media screen and (max-width: 1400px) {
    #fullpage-container .fullpage-opacity {
        width: 46%;
    }
    .fullpage-content-bottom .content-bottom:last-child {
        margin-right: 20px;
    }
    /* nav.fullpage-menu ul li.level-1.show-submenu::after {
        width: 10%;
    } */
}
@media screen and (max-width: 1200px) {
    .fullpage-container-logo img {
        width: 160px;
    }
    nav.fullpage-menu {
        position: unset;
        right: 0;
        top: 0;
        width: 100%;
        transform: unset;
    }
    .fullpage-container-logo {
        position: unset;
        margin-top: 5vh;
        margin-bottom: 10vh;
    }
    #fullpage-container {
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        display: none;
        z-index: 1000;
        justify-content: center;
        align-items: end;
    }
    #fullpage-container .fullpage-opacity {
        width: 55%;
    }
    .fullpage-menu {
        margin-bottom: 6%;
    }
    #fullpage-close {
        top: 29px;
        left: 72px;
    }
}

@media (hover: hover) and (min-width: 1081px) {
    nav.fullpage-menu ul li.level-1 {
        /* padding-bottom: 85px;
        margin-bottom: -65px; */
    }
    
    nav.fullpage-menu ul li.level-1.show-submenu > ul {
        display: block;
    }
}

/* ── AB HIER: 992px → 1080px ── */
@media screen and (max-width: 1080px) {
    nav.fullpage-menu ul li.level-1.show-submenu > ul {
        display: none;
    }
    nav.fullpage-menu ul li.level-1 > ul {
        position: unset;
        width: 100%;
        padding: 0;
        margin-top: 15px;
        margin-bottom: 25px;
    }
    nav.fullpage-menu ul li.level-1 > ul a {
        color: var(--bs-body-color);
    }
    nav.fullpage-menu ul li.level-1 i {
        display: flex;
    }
    #fullpage-container .fullpage-opacity {
        width: 75%;
    }
    nav.fullpage-menu > ul {
        display: block;
    }
    nav.fullpage-menu ul li.level-1 ul {
        display: none;
    }
    nav.fullpage-menu ul li.level-1 i {
        float: right;
        border-radius: 50%;
        transition: 0.3s;
        background-color: transparent;
        font-size: 0.7778em;
        width: 30px;
        height: 30px;
        align-items: center;
        justify-content: center;
        display: flex;
    }
    nav.fullpage-menu ul li.level-1 i:before {
        font-weight: 600 !important;
    }
    .fullpage-menu .toggle-dropdown.active {
        transform: rotate(180deg);
        transition: transform 0.3s ease;
    }
    .fullpage-menu ul li.level-1 ul.submenu-open {
        display: block;
    }
    nav.fullpage-menu ul li.level-1 ul.submenu-open {
        display: block;
    }
    nav.fullpage-menu ul li.level-1.show-submenu::after {
        content: "";
        position: unset;
        left: 0;
        top: 0;
        width: 0;
        height: 0;
    }
    .toggle-dropdown.active {
        transform: rotate(180deg);
        transition: 0.3s ease;
    }
    .fullpage-menu ul {
        margin-left: 40px;
        margin-right: 40px;
    }
    .fullpage-menu {
        margin-bottom: 15%;
    }
    #fullpage-close {
        left: 20px;
        top: 32px;
    }
    .metanavmenu {
        margin-left: 40px;
    }
    #fullpage-container #language-nav {
        margin-left: 40px;
    }
    #fullpage-close span.closetext {
        font-size: 20px;
        line-height: 12px;
    }
    #fullpage-content {
        display: block;
    }
    nav.fullpage-menu ul li.level-1 a.open i {
        transform: rotate(180deg);
        transition: transform 0.3s ease;
    }
    nav.fullpage-menu ul li.level-1 ul.active {
        display: block;
        transition: transform 0.3s ease;
    }
    #fullpage-content {
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        max-height: calc(100vh - 120px);
        padding-bottom: 40px;
        margin-bottom: 0;
        height: 100%;
    }

    #fullpage-container.active {
        overflow: hidden;
    }
}

@media screen and (max-width: 768px) {
    #fullpage-container .fullpage-opacity {
        width: 100%;
    }
    .fullpage-menu ul {
        margin-left: 40px;
        margin-top: 100px;
        margin-right: 52px;
    }
    #fullpage-close span {
        margin-right: 55px;
    }
    .metanavmenu {
        margin-left: 40px;
    }
    #fullpage-close span.closetext {
        display: none;
    }
    #fullpage-header {
        left: unset;
        right: 50px;
    }
    #fullpage-close {
        left: 0;
        right: 0;
    }
    #fullpage-container {
        align-items: center;
    }
    .fullpage-content-bottom {
        display: block;
    }
    .metanavmenu li a {
        color: var(--bs-body-color);
    }
    .fullpage-content-bottom .content-bottom:last-child {
        margin-right: 100px;
        margin-left: 40px;
    }
    #fullpage-container #language-nav {
        margin-left: 40px;
        margin-top: 30px;
        text-align: left;
    }
    .fullpage-content-bottom .language-switcher {
        display: inline-block;
    }
    #fullpage-container #language-menu {
        top: -65px;
        right: -120px;
    }
    .content-bottom:last-child span {
        margin-top: 30px;
    }
    .menunewsletter button span {
        margin: 0;
    }
    .menu-contact {
        margin-top: 30px;
        margin-bottom: 30px;
    }
    .body-no-scroll {
        overflow: hidden;
        height: 100vh;
    }
    #fullpage-container.active {
        overflow: hidden;
    }
    .fullpage-opacity {
        overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        display: block;
        flex-direction: column;
    }
    #fullpage-content {
        overflow-y: auto;
        height: auto;
        flex: 1;
        padding-bottom: 0px;
        margin-bottom: 0;
        height: calc(100svh - 53px);
    }
    nav.fullpage-menu ul li {
        margin-bottom: 15px;
    }
    .fullpage-menu ul {
        margin-top: 20px;
    }
    #fullpage-close {
        top: 20px;
    }
    .container.position-relative.noheader {
        text-align: right;
    }
    #fullpageopener img {
        order: 2;
        width: 45px;
    }
    .container.position-relative.noheader #fullpageopener span {
        margin-left: 0;
        margin-right: 15px;
    }
    .fullpage-menu ul {
        margin-top: 80px;
    }
    #fullpage-content {
        max-height: 100%;
    }
}

@media screen and (max-width: 576px) {
    nav.fullpage-menu > ul {
        grid-template-columns: repeat(1, 1fr);
    }
    nav.fullpage-menu {
        max-width: 100%;
    }
    .fullpage-menu ul li {
        letter-spacing: 0;
    }
    #language-button span {
        font-size: 1rem !important;
    }
    
}



/*Icons*/
.buttonpfeil:after {
    content: '';
    display: inline-block;
    width: 27px;
    height: 18px;
    margin-left: 0;
    background-image: url(../Icons/Pfeil-next-green.svg);
    font-family: unset;
    padding: 0;
    background-repeat: no-repeat;
}
.buttonpfeil:hover::after {
    background-image: url(../Icons/Pfeil-next-white.svg);
}
.accordion-item .accordion-button::after {
    content: "";
    display: inline-block;
    width: 18px;
    height: 27px;
    background-image: url(../Icons/Pfeil-close.svg);
    font-family: unset;
    padding: 0;
    margin-right: 0;
    background-size: contain;
}

.accordion-item .accordion-button:not(.collapsed)::after {
    background-image: url(../Icons/Pfeil-open.svg);
    transform: unset;
}

.accordion-body a.accordionlink::after {
    content: "";
    display: inline-block;
    width: 27px;
    height: 17px;
    background-image: url(../Icons/Pfeil-Link.svg);
    font-family: unset;
    padding: 0;
    margin-right: 0;
    background-size: contain;
    margin-left: 15px;
    transition: margin-left 0.2s ease;
}

.frame-type-compuart_accordion.frame-background-color-dark .accordion-item .accordion-button::after {
  background-image: url(../Icons/Pfeil-close-brown.svg);
}

.frame-type-compuart_accordion.frame-background-color-dark .accordion-item .accordion-button:not(.collapsed)::after {
  background-image: url(../Icons/Pfeil-open-brown.svg);
}

.frame-type-compuart_accordion.frame-background-color-dark .accordion-body a.accordionlink::after {
  background-image: url(../Icons/Pfeil-Link-brown.svg);
}

.guestnet:before {
    content: "";
    display: inline-block;
    width: 18px;
    height: 18px;
    background-image: url(../Icons/guestnet.svg);
    background-size: contain;
    background-repeat: no-repeat;
}

.frame-type-form_formframework select.form-control {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-image: url(../Icons/Pfeil-open-form.svg);
  background-position: right 1rem center;
  background-repeat: no-repeat;
  background-size: 12px;
  padding-right: 2.5rem;
}



/* Newsletter */

.frame-type-html iframe {
    min-height: 300px;
}

.btn.btn-primary.send {
  padding: 12px 25px 12px !important;
  text-transform: uppercase;
  font-family: "Arista Pro",sans-serif;
  text-align: center;
  margin-right: 15px;
  display: inline-block;
  white-space: nowrap;
  font-size: 18px;
  border: 1px solid #053930;
  border-radius: 30px;
  color: #b1c979;
  background: #053930;
  margin-top: 20px;
}

.btn.btn-primary.send:hover {
    background: #022b24;
    border: 1px solid #022b24;
}

.frame-type-html iframe .link {
  color: #053930;
  font-weight: 700;
}

div.input-field div.input-group input {
  border-color: #cdd7d6;
  border-radius: 40px;
  padding: 15px 25px 16px !important;
}

.input-field.checkbox-field .checkbox-field-group.default label.label-checkbox::before {
  -webkit-appearance: none;
  border: 1px solid #cdd7d6;
  border-radius: 50%;
  cursor: pointer;
  flex-shrink: 0;
  height: 15px;
  margin-top: 6px;
  position: relative;
  width: 15px;
  margin-right: 7px;
}